<template>
    <v-layout row wrap result text-xs-center>
        <v-flex xs12 logo-wrapper>
            <img alt="Snackzy logo" src="../assets/images/logo.png" class="logo">
        </v-flex>

        <v-flex xs12 text-xs-center>

        </v-flex>

        <v-flex xs12>
            <p>Vielen Dank für deine Teilnahme!</p>
            <p>
                Sobald der Wettbewerb ausgewertet wurde, werden wir uns umgehend bei Ihnen melden.
                Wir wünschen Ihnen viel Glück.
            </p>

            <p v-if="wrongQuestions.length > 0">Folgende Fragen hast du leider falsch beantwortet:</p>
            <ul v-if="wrongQuestions.length > 0"> <!-- https://vuejs.org/v2/style-guide/#Avoid-v-if-with-v-for-essential -->
                <li v-for="question in wrongQuestions">{{ question.question }}</li>
            </ul>
        </v-flex>
    </v-layout>
</template>

<script>
    import { mapGetters } from 'vuex';

    export default {
        name: 'result',
        async beforeCreate() {
            await this.$store.dispatch('fetchWrongQuestions');
        },
        computed: {
            ...mapGetters(['wrongQuestions'])
        },
        methods: {
        }
    };
</script>

<style lang="scss" scoped>

</style>
